package com.yuchen.saas.park.service.wrapper;

import com.yuchen.saas.park.api.entity.park.PmgBatSecurityWarning;
import com.yuchen.saas.park.api.vo.park.security.SecurityWarningVO;
import com.yuchen.saas.park.service.util.DateTimeUtils;
import org.nest.springwrap.core.mp.support.BaseEntityWrapper;

/**
 * @author 颜艺波
 * @date 2022/6/24 14:19
 * @Description
 */
public class SecurityWarningWrapper extends BaseEntityWrapper<PmgBatSecurityWarning, SecurityWarningVO> {
    @Override
    public SecurityWarningVO entityVO(PmgBatSecurityWarning entity) {
        SecurityWarningVO securityWarningVO = new SecurityWarningVO();
        securityWarningVO.setCameraIndexCode(entity.getCameraIndexCode());
        securityWarningVO.setChannelName(entity.getChannelName());
        securityWarningVO.setCode(entity.getCode());
        securityWarningVO.setDensity(entity.getDensity());
        securityWarningVO.setDeviceName(entity.getDeviceName());
        securityWarningVO.setProductKey(entity.getProductKey());
        securityWarningVO.setIdentity(entity.getIdentity());
        securityWarningVO.setTriggerTime(DateTimeUtils.timestampToDateTime(entity.getTriggerTime()));
        securityWarningVO.setPicUrl(entity.getPicUrl());
        securityWarningVO.setWarningType(entity.getWarningType());
        securityWarningVO.setParkId(entity.getParkId());
        //BeanUtils.copyProperties(entity, securityWarningVO);
        return securityWarningVO;
    }
}
